<template>
    <MenuItem
        :class_text="itemData.data.class_text"
        :right_text="itemData.data.right_text"
        :itemRefClass="itemData.link.attr.class"
        :itemClass="itemData.attr.class"
        :itemTitle="itemData.title"
        :url="itemData.url"
        v-if="itemData.hasLink">
    </MenuItem>
    <MenuItem
        :hasChildren="itemData.hasChildren"
        :children="itemData.children"
        :class_text="itemData.data.class_text"
        :right_text="itemData.data.right_text"
        :itemClass="itemData.attr.class"
        :itemTitle="itemData.title"
        :url="itemData.url"
        v-else-if="itemData.hasChildren">
    </MenuItem>
    <!--<MenuItem
        :class_text="itemData.data.class_text"
        :right_text="itemData.data.right_text"
        :itemRefClass="itemData.link.attr.class"
        :itemClass="itemData.attr.class"
        :itemTitle="itemData.title"
        :url="itemData.url"
        v-else>
    </MenuItem>-->
</template>

<script>
    import MenuItem from './MenuItemComponent';

    export default {
        props: {
            itemData: {
                type: Object,
                default: {}
            }
        },
        components:{
            MenuItem
        }
    }
</script>

<style scoped>

</style>
